﻿using System;

using Composite.C1Console.Forms;
using Composite.Plugins.Forms.WebChannel.UiControlFactories;

public partial class Controls_FormControls_MyTextBox : UserControlBasedUiControl
{
    [FormsProperty()]
    public int MaxLength
    {
        get;
        set;
    }

    [BindableProperty()]
    [FormsProperty()]
    public string Text
    {
        get;
        set;
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public override void BindStateToControlProperties()
    {
        this.Text = myAspNetTextBox.Text;

    }

    public override void InitializeViewState()
    {
        myAspNetTextBox.Text = this.Text;
        myAspNetTextBox.MaxLength = this.MaxLength; 
    }
}